Package org.apache.commons.imaging.formats.jpeg.iptc

# Class IptcParser

java.lang.Object
org.apache.commons.imaging.common.BinaryFileParser
org.apache.commons.imaging.formats.jpeg.iptc.IptcParser

public class IptcParser extends BinaryFileParser

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IptcParser()`
  Constructs a new instance with the default, big-endian, byte order.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isPhotoshopJpegSegment(byte[] segmentData)`
  `protected List<IptcBlock>`
  `parseAllBlocks(byte[] bytes, boolean strict)`
  `protected List<IptcRecord>`
  `parseIptcBlock(byte[] bytes)`
  `PhotoshopApp13Data`
  `parsePhotoshopSegment(byte[] bytes, boolean strict)`
  `PhotoshopApp13Data`
  `parsePhotoshopSegment(byte[] bytes, ImagingParameters<JpegImagingParameters> params)`
  `byte[]`
  `writeIptcBlock(List<IptcRecord> elements)`
  `byte[]`
  `writeIptcBlock(List<IptcRecord> elements, boolean forceUtf8Encoding)`
  `byte[]`
  `writePhotoshopApp13Segment(PhotoshopApp13Data data)`

  ### Methods inherited from class org.apache.commons.imaging.common.BinaryFileParser

  `debugNumber, debugNumber, getByteOrder, setByteOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IptcParser

    public IptcParser()
    Constructs a new instance with the default, big-endian, byte order.

- ## Method Details

  - ### isPhotoshopJpegSegment

    public boolean isPhotoshopJpegSegment(byte[] segmentData)

  - ### parseAllBlocks

    protected List<IptcBlock> parseAllBlocks(byte[] bytes, boolean strict) throws ImagingException, IOException
    Throws:
      `ImagingException`
      `IOException`

  - ### parseIptcBlock

    protected List<IptcRecord> parseIptcBlock(byte[] bytes)

  - ### parsePhotoshopSegment

    public PhotoshopApp13Data parsePhotoshopSegment(byte[] bytes, boolean strict) throws ImagingException, IOException
    Throws:
      `ImagingException`
      `IOException`

  - ### parsePhotoshopSegment

    public PhotoshopApp13Data parsePhotoshopSegment(byte[] bytes, ImagingParameters<JpegImagingParameters> params) throws ImagingException, IOException
    Throws:
      `ImagingException`
      `IOException`

  - ### writeIptcBlock

    public byte[] writeIptcBlock(List<IptcRecord> elements) throws ImagingException, IOException
    Throws:
      `ImagingException`
      `IOException`

  - ### writeIptcBlock

    public byte[] writeIptcBlock(List<IptcRecord> elements, boolean forceUtf8Encoding) throws ImagingException, IOException
    Throws:
      `ImagingException`
      `IOException`

  - ### writePhotoshopApp13Segment

    public byte[] writePhotoshopApp13Segment(PhotoshopApp13Data data) throws IOException, ImagingException
    Throws:
      `IOException`
      `ImagingException`